Redmine - Patch #24692

Issue destroy : Reassign time issue autocomplete
2016-12-26 16:58 - Anonymous

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 3.4.0

Description

When deleting an issue, you get a form to propose you where to reassign the time entries. This patch provides an autocomplete
instead of entering the raw issue ID.

Patch tested and fully working for Redmine 3.3.1-devel

Associated revisions

Revision 16165 - 2017-01-08 23:47 - Jean-Philippe Lang

Issue destroy : Reassign time issue autocomplete (#24692).

Patch by David Coété-Tremblay and Go MAEDA.

History

#1 - 2016-12-26 16:59 - Anonymous

- Status changed from New to Resolved

Pull request on GitHub : https://github.com/redmine/redmine/pull/91

#2 - 2016-12-26 23:30 - Anonymous

Sorry bad title, supposed to be : "Issue destroy : Reassign time issue autocomplete”

#3 - 2016-12-26 23:32 - Go MAEDA
- Subject changed from Issue destroy : Also reassign descendants spent hours to Issue destroy : Reassign time issue autocomplete

- Status changed from Resolved to New

#4 - 2016-12-27 02:24 - Go MAEDA
- Status changed from New to Needs feedback
Thank you for submitting the patch.

Reassigning destination issue must be an issue within the same project (please see the code in IssuesController#destroy:
source:trunk/app/controllers/issues_controller.ro@15923#L.354 ). Therefore the auto completing should not suggest issues in other project.

I am not sure, but | think the key-value pair :scope => Setting.cross_project_subtasks in the arguments of escape_javascript
auto_complete_issues_path should be removed.

#5 - 2016-12-30 06:40 - Go MAEDA
- File issue-destroy-reassign-time-autocomplete-v2.patch added
- Status changed from Needs feedback to New

- Target version set to Candidate for next major release

Go MAEDA wrote:

Reassigning destination issue must be an issue within the same project (please see the code in IssuesController#destroy:
source:trunk/app/controllers/issues_controller.ro@15923#L.354 ). Therefore the auto completing should not suggest issues in other project.

Fixed. Updated the patch.
https://github.com/redmine/redmine/pull/91
https://www.redmine.org/projects/redmine/repository/svn/revisions/15923/entry/trunk/app/controllers/issues_controller.rb#L354
https://www.redmine.org/projects/redmine/repository/svn/revisions/15923/entry/trunk/app/controllers/issues_controller.rb#L354

#6 - 2017-01-07 00:47 - Go MAEDA

- Target version changed from Candidate for next major release to 3.4.0

#7 - 2017-01-08 23:48 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed with slight changes. | removed the wrapping span, let me know if it was of any use.

Files
issue-destroy-reassign-time-autocomplete.patch 1.34 KB 2016-12-26 Anonymous
issue-destroy-reassign-time-autocomplete-v2.patch 1.09 KB 2016-12-30 Go MAEDA

2025-08-23 22


http://www.tcpdf.org

